package com.ecep.contract.ds.company;

import com.ecep.contract.ds.company.service.CompanyContactService;
import com.ecep.contract.ds.converter.EntityStringConverter;
import com.ecep.contract.ds.company.model.CompanyContact;

public class CompanyContactStringConverter extends EntityStringConverter<CompanyContact> {

    public CompanyContactStringConverter() {

    }

    public CompanyContactStringConverter(CompanyContactService service) {
        setInitialized(companyContact -> service.getById(companyContact.getId()));
        // setFromString(service::findByName);
    }

}